nautilus-extension-gnome-terminal_3.28.1-1ubuntu1_i386.deb


Advertisement

Description

nautilus-extension-gnome-terminal - GNOME terminal emulator application

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main i386
Package filename nautilus-extension-gnome-terminal_3.28.1-1ubuntu1_i386.deb
Package name nautilus-extension-gnome-terminal
Package version 3.28.1
Package release 1ubuntu1
Package architecture i386
Package type deb
Category gnome
Homepage https://wiki.gnome.org/Apps/Terminal
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 24.37 KB
Installed size 113.00 KB
GNOME Terminal is a terminal emulation application that you can use to
perform the following actions:
- Access a UNIX shell in the GNOME environment.
- Run any application that is designed to run on VT102, VT220, and xterm
terminals.
GNOME Terminal features the ability to use multiple terminals in a single
window (tabs) and profiles support.
This package contains the extension for Nautilus, the GNOME Files app.

Alternatives

Package Version Architecture Repository
nautilus-extension-gnome-terminal_3.28.2-1ubuntu1~18.04.1_i386.deb 3.28.2 i386 Ubuntu Updates Main
nautilus-extension-gnome-terminal_3.28.2-1ubuntu1~18.04.1_amd64.deb 3.28.2 amd64 Ubuntu Updates Main
nautilus-extension-gnome-terminal_3.28.1-1ubuntu1_amd64.deb 3.28.1 amd64 Ubuntu Main
nautilus-extension-gnome-terminal - - -

Requires

Name Value
gnome-terminal = 3.28.1-1ubuntu1
libc6 >= 2.4
libglib2.0-0 >= 2.42.0
libgtk-3-0 >= 3.20
libnautilus-extension1a >= 3.21.92-3~

Replaces

Name Value
brasero << 3.27.92-2~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package nautilus-extension-gnome-terminal_3.28.1-1ubuntu1_i386.deb
Source Package gnome-terminal

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install nautilus-extension-gnome-terminal deb package:
    # sudo apt-get install nautilus-extension-gnome-terminal

Files

Path
/usr/lib/i386-linux-gnu/nautilus/extensions-3.0/libterminal-nautilus.so
/usr/share/doc/nautilus-extension-gnome-terminal/changelog.Debian.gz
/usr/share/doc/nautilus-extension-gnome-terminal/copyright
/usr/share/metainfo/org.gnome.Terminal.Nautilus.metainfo.xml

Changelog

2018-04-10 - Jeremy Bicha <jbicha@ubuntu.com>
gnome-terminal (3.28.1-1ubuntu1) bionic; urgency=medium
* Merge with Debian. Remaining changes:
+ debian/rules:
- Install compatibility version of gnome-terminal.desktop
+ gnome-terminal.wrap, debian/rules:
- Add a wrapper script to restore command line compatibility.
+ debian/control.in:
- gnome-terminal depends on python3, python3-gi and gir1.2-glib-2.0 for
the wrapper script.
- Don't Build-Depend on PCRE2
+ Add 0001-Restore-transparency.patch:
- Restore transparency support
+ Add 0001-Add-style-classes-and-CSS-names-to-some-of-our-widge.patch:
- Add CSS names and style classes so we can theme things more easily.
+ Add 0001-screen-window-Extra-padding-around-transparent-termi.patch:
- Fix transparency on Wayland. Patch by Owen Taylor, via Debarshi Ray @
Fedora (LP: #1650395)
+ Add 50_add_unity_quicklist.patch:
- Add Unity quicklist menu item.
+ Add 52_support_apturl.patch:
- Support apt: urls.
+ Add 60_add_lp_handler.patch:
- Add a handler for launchpad bug URLs.
+ Add scrollbar-background-theming.patch:
- Draw background under the scrollbar that matches the actual terminal
background color. This allows proper theming.
+ Add debian/patches/revert-pcre2.patch:
- Revert changes that require PCRE2 since it's not in main
(see MIR #163666)
* Keep 006-fix-invalid-appstream-metadata.patch:
- Ubuntu's AppStream versions and http://appstream.ubuntu.com/
don't support gnome-terminal's syntax yet
2018-04-09 - Jeremy Bicha <jbicha@debian.org>
gnome-terminal (3.28.1-1) unstable; urgency=medium
* New upstream release
* Bump minimum libvte-2.91-dev to 0.52.1
* Bump Standards-Version to 4.1.4
* Drop 0006-fix-invalid-appstream-metadata.patch: No longer required
since Debian has updated its AppStream versions now
2018-03-21 - Jeremy Bicha <jbicha@ubuntu.com>
gnome-terminal (3.28.0-1ubuntu1) bionic; urgency=medium
* Merge with Debian. Remaining changes:
+ debian/rules:
- Install compatibility version of gnome-terminal.desktop
+ gnome-terminal.wrap, debian/rules:
- Add a wrapper script to restore command line compatibility.
+ debian/control.in:
- gnome-terminal depends on python3, python3-gi and gir1.2-glib-2.0 for
the wrapper script.
- Don't Build-Depend on PCRE2
+ Add 0001-Restore-transparency.patch:
- Restore transparency support
+ Add 0001-Add-style-classes-and-CSS-names-to-some-of-our-widge.patch:
- Add CSS names and style classes so we can theme things more easily.
+ Add 0001-screen-window-Extra-padding-around-transparent-termi.patch:
- Fix transparency on Wayland. Patch by Owen Taylor, via Debarshi Ray @
Fedora (LP: #1650395)
+ Add 50_add_unity_quicklist.patch:
- Add Unity quicklist menu item.
+ Add 52_support_apturl.patch:
- Support apt: urls.
+ Add 60_add_lp_handler.patch:
- Add a handler for launchpad bug URLs.
+ Add scrollbar-background-theming.patch:
- Draw background under the scrollbar that matches the actual terminal
background color. This allows proper theming.
+ Add debian/patches/revert-pcre2.patch:
- Revert changes that require PCRE2 since it's not in main
(see MIR #163666)
2018-03-12 - Jeremy Bicha <jbicha@debian.org>
gnome-terminal (3.28.0-1) unstable; urgency=medium
* New upstream release
* Bump minimum libvte-2.91-dev to 0.52.0
* Split nautilus-extension-gnome-terminal into a separate package so that
it can be individually installed or uninstalled by appstream clients

See Also

Package Description
nautilus-sendto_3.8.6-2_i386.deb easily send files via email from within Nautilus
nautilus-share_0.7.3-2ubuntu3_i386.deb Nautilus extension to share folder using Samba
nautilus_3.26.3-0ubuntu4_i386.deb file manager and graphical shell for GNOME
nbd-server_3.16.2-1_i386.deb Network Block Device protocol - server
ncurses-base_6.1-1ubuntu1_all.deb basic terminal type definitions
ncurses-bin_6.1-1ubuntu1_i386.deb terminal-related programs and man pages
ncurses-doc_6.1-1ubuntu1_all.deb developer's guide and documentation for ncurses
ncurses-examples_6.1-1ubuntu1_i386.deb test programs and examples for ncurses
ncurses-term_6.1-1ubuntu1_all.deb additional terminal type definitions
net-tools_1.60+git20161116.90da8a0-1ubuntu1_i386.deb NET-3 networking toolkit
netbase_5.4_all.deb Basic TCP/IP networking system
netcat-openbsd_1.187-1_i386.deb TCP/IP swiss army knife
netpbm_10.0-15.3build1_i386.deb Graphics conversion tools between image formats
netplan.io_0.36.1_i386.deb YAML network configuration abstraction for various backends
nettle-dev_3.4-1_i386.deb low level cryptographic library (development files)
Advertisement
Advertisement